Subject: bug#55110: 29.0.50; Regression in query-replace prompt

From: Juri Linkov <[email-masked]>
Date: Sun, 15 May 2022 21:45:51 +0300

>> So maybe a buffer-local value of `isearch-filter-predicate'
>> in the minibuffer would help.
>
> Yes, that indeed solves the problem.  See attached patch.

Thanks, pushed.

>> Also I recommend to make all hooks in `minibuffer-lazy-highlight-setup'
>> local by adding the argument LOCAL to add-hook/remove-hook.
>
> Indeed, the minibuffer lazy highlight feature is currently incompatible
> with recursive minibuffers.  The patch fixes that as well.
>
> There's a caveat, though: isearch in a recursive minibuffer is again
> affected by the presence of an inappropriate filter function.  Fixing
> that in a robust way might require a bigger refactoring of the lazy
> highlight feature, I think.  Another option might be to make
> `replace--region-filter' also check for the value of `(current-buffer)'.

I see no problem to fix this because every minibuffer uses own buffer,
so they have separate buffer-local variables.